Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class SystemTable.StorageMetadata

    java.lang.Object
      org.apache.cassandra.db.SystemTable.StorageMetadata

Enclosing class:
  SystemTable

    public static class SystemTable.StorageMetadata

extends java.lang.Object

Method Summary
`byte[]` | `getClusterName()`
`int` | `getGeneration()`
`Token` | `getToken()`
`void` | `setToken(Token storageId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getToken

    public Token getToken()

### setToken

    public void setToken(Token storageId)

### getGeneration

    public int getGeneration()

### getClusterName

    public byte[] getClusterName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation